//For exmaple x=value^2
function FromSlider(value)
{
  return Math.round(Math.pow(value, 2));
}

function ToSlider(value)
{
  return Math.round(Math.sqrt(value)); //Math.log(value) / Math.log(10);
}

var device = IR.GetDevice("KNX IP BAOS 771/772/777");
var SliderValue = 0;

var OurSlider = IR.GetItem("Page 1").GetItem("Item 1");//it is our slider
IR.AddListener(IR.EVENT_ITEM_RELEASE, OurSlider, function()//release listener
{
   OurSlider.Text = FromSlider(OurSlider.Value);  //Get value from slider, convert it to value^2 and write to the slider text property
   SliderValue = FromSlider(OurSlider.Value) //Get value from function
   device.Set("Datapoint 1", SliderValue); //Send value to knx channel
});


IR.AddListener(IR.EVENT_TAG_CHANGE, device, function(name, value)   //get value from feedback
{
   if (name == "Datapoint 1")
   {
     OurSlider.Value = ToSlider(value);   //set converted value to slider
   }
})